package com.czg.service.market.enums;


import lombok.Getter;

/**
 * 订单状态枚举类
 * @author ww
 */
@Getter
public enum OrderStatusEnums {


    UNPAID("unpaid", "待支付"),
    IN_PRODUCTION("in_production", "制作中"),
    WAIT_OUT("wait_out", "待取餐"),
    DONE("done", "订单完成"),
    REFUNDING("refunding", "申请退单"),
    REFUND("refund", "退单"),
    PART_REFUND("part_refund", "部分退单"),
    CANCELLED("cancelled", "取消订单");


    private final String code;
    private final String msg;

    OrderStatusEnums(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
